package com.device.comm.DGMS.algorithm;

public enum I4Algorithm
{
  I4_0("00", 0),  I4_20("01", 20),  I4_40("02", 40),  I4_60("03", 60),  I4_80("04", 80);
  
  private String code;
  private int value;
  
  private I4Algorithm(String code, int value)
  {
    this.code = code;
    this.value = value;
  }
  
  public String getCode()
  {
    return this.code;
  }
  
  public void setCode(String code)
  {
    this.code = code;
  }
  
  public int getValue()
  {
    return this.value;
  }
  
  public void setValue(int value)
  {
    this.value = value;
  }
  
  public double getI4Value(double i3value)
  {
    return i3value - getValue();
  }
}


